package cc.smtweb.system.bpm.web.sys.user.userSso;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-09-05 19:53:40
 * 实体【[用户单点关系](SYS_USER_SSO)】的Entity类
 */
@SwTable("SYS_USER_SSO")
public class UserSso extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_USER_SSO";

    public UserSso() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("sso_id");
    }

    /**
     * 主键
     */
    public void setId(long sso_id) {
        put("sso_id", sso_id);
    }

    /**
     * 用户ID
     */
    public long getSurId() {
        return getLong("sso_sur_id");
    }

    /**
     * 用户ID
     */
    public void setSurId(long sso_sur_id) {
        put("sso_sur_id", sso_sur_id);
    }

    /**
     * 单点账号
     */
    public String getCode() {
        return getStr("sso_code");
    }

    /**
     * 单点账号
     */
    public void setCode(String sso_code) {
        put("sso_code", sso_code);
    }

    /**
     * 类型
     */
    public String getType() {
        return getStr("sso_type");
    }

    /**
     * 类型
     */
    public void setType(String sso_type) {
        put("sso_type", sso_type);
    }
}
